<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/entities/expansionentitystorageplaceholder.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d34/a01211_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionentitystorageplaceholder.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d1/d34/a01211.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d1/d34/a01211.html#a2a16ada89cf011ca7a42c34ac7a5dc64">    1</a></span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionEntityStoragePlaceholder.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d1/d0b/a04890.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d1/d0b/a04890.html">ExpansionEntityStoragePlaceholder</a>: InventoryItemSuper</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d1/d0b/a04890.html#abdafeb073af3e76c3762bd11b5d749b6">   15</a></span>    <span class="keyword">static</span> ref array&lt;ExpansionEntityStoragePlaceholder&gt; <a class="code hl_variable" href="../../d1/d0b/a04890.html#abdafeb073af3e76c3762bd11b5d749b6">s_Expansion_AllPlaceholders</a> = <span class="keyword">new</span> array&lt;ExpansionEntityStoragePlaceholder&gt;;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d1/d0b/a04890.html#a80a182ca885d8466b94716575850fe25">   17</a></span>    ref <a class="code hl_class" href="../../d7/d74/a04346.html">ExpansionGlobalID</a> <a class="code hl_variable" href="../../d1/d0b/a04890.html#a80a182ca885d8466b94716575850fe25">m_Expansion_StoredEntityGlobalID</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d7/d74/a04346.html">ExpansionGlobalID</a>();</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d1/d0b/a04890.html#a00545b643710fd09ea1b2a71c8ac6ae0">   18</a></span>    ref <a class="code hl_class" href="../../d0/d15/a04574.html">ExpansionNetsyncData</a> <a class="code hl_variable" href="../../d1/d0b/a04890.html#a00545b643710fd09ea1b2a71c8ac6ae0">m_Expansion_NetsyncData</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d1/d0b/a04890.html#af4c6ff8b825eada9d6fefe532dc13805">   20</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d0b/a04890.html#af4c6ff8b825eada9d6fefe532dc13805">ExpansionEntityStoragePlaceholder</a>()</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <a class="code hl_variable" href="../../d1/d0b/a04890.html#a00545b643710fd09ea1b2a71c8ac6ae0">m_Expansion_NetsyncData</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d0/d15/a04574.html">ExpansionNetsyncData</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <a class="code hl_variable" href="../../d1/d0b/a04890.html#abdafeb073af3e76c3762bd11b5d749b6">s_Expansion_AllPlaceholders</a>.Insert(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d1/d0b/a04890.html#a4c0692a361764686ea67a7f72ea800c1">   26</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d0b/a04890.html#a4c0692a361764686ea67a7f72ea800c1">~ExpansionEntityStoragePlaceholder</a>()</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_variable" href="../../d1/d0b/a04890.html#abdafeb073af3e76c3762bd11b5d749b6">s_Expansion_AllPlaceholders</a>.RemoveItemUnOrdered(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../d1/d0b/a04890.html#aa8af6a32ebf7cbe3cc91bbf5e630f6b3">   31</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d0b/a04890.html#aa8af6a32ebf7cbe3cc91bbf5e630f6b3">EEDelete</a>(EntityAI parent)</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keywordflow">if</span> (GetGame().IsServer() &amp;&amp; GetGame().IsMultiplayer())</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>            <span class="keywordflow">if</span> (HasAnyCargo())</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>                <a class="code hl_function" href="../../d3/d60/a00818.html#a360b77a21b7b48591e2d244da9c12d7e">EXPrint</a>(<span class="stringliteral">&quot;WARNING: &quot;</span> + <a class="code hl_function" href="../../d6/dc0/a00734.html#abf2f1d0d1afc0eaf2994523ab122712c">GetType</a>() + <span class="stringliteral">&quot; &quot;</span> + <a class="code hl_function" href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>() + <span class="stringliteral">&quot; with cargo is about to be deleted!&quot;</span>);</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>            <span class="keywordtype">string</span> fileName = <a class="code hl_function" href="../../d1/d0b/a04890.html#a9a89ba80c18a0a7beff042445121fd60">Expansion_GetEntityStorageFileName</a>();</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            <span class="keywordflow">if</span> (FileExist(fileName))</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>                DeleteFile(fileName);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        super.EEDelete(parent);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../d1/d0b/a04890.html#a9a89ba80c18a0a7beff042445121fd60">   46</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../d1/d0b/a04890.html#a9a89ba80c18a0a7beff042445121fd60">Expansion_GetEntityStorageFileName</a>()</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d6/dfd/a04570.html">ExpansionEntityStorageModule</a>.<a class="code hl_function" href="../../d6/dfd/a04570.html#ac380e56093e61e9a6960dd8979e27080">GetFileName</a>(<a class="code hl_variable" href="../../d1/d0b/a04890.html#a80a182ca885d8466b94716575850fe25">m_Expansion_StoredEntityGlobalID</a>.<a class="code hl_function" href="../../d7/d74/a04346.html#aa8b9403c52f4fb018777a5abb432e4f9">IDToHex</a>());</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span> </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../d1/d0b/a04890.html#a7f3b6672b27527eb34bd4e7a9489ba48">   51</a></span>    <span class="keyword">static</span> <a class="code hl_class" href="../../d1/d0b/a04890.html">ExpansionEntityStoragePlaceholder</a> <a class="code hl_function" href="../../d1/d0b/a04890.html#a7f3b6672b27527eb34bd4e7a9489ba48">GetByStoredEntityGlobalID</a>(TIntArray <span class="keywordtype">id</span>)</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <a class="code hl_class" href="../../d7/dc9/a04370.html">EXTrace</a>.<a class="code hl_function" href="../../d7/dc9/a04370.html#a2bd46e35ded12b22921809a459391fe0">Print</a>(<a class="code hl_class" href="../../d7/dc9/a04370.html">EXTrace</a>.<a class="code hl_variable" href="../../d7/dc9/a04370.html#adea422e1b5768ca5b02e5e38c8bc47b4">GENERAL_ITEMS</a>, null, <span class="stringliteral">&quot;Looking for entity storage placeholder with ID &quot;</span> + <span class="keywordtype">id</span>[0].ToString() + <span class="stringliteral">&quot; &quot;</span> + <span class="keywordtype">id</span>[1].ToString() + <span class="stringliteral">&quot; &quot;</span> + <span class="keywordtype">id</span>[2].ToString() + <span class="stringliteral">&quot; &quot;</span> + <span class="keywordtype">id</span>[3].ToString());</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <a class="code hl_class" href="../../d7/dc9/a04370.html">EXTrace</a>.<a class="code hl_function" href="../../d7/dc9/a04370.html#a2bd46e35ded12b22921809a459391fe0">Print</a>(<a class="code hl_class" href="../../d7/dc9/a04370.html">EXTrace</a>.<a class="code hl_variable" href="../../d7/dc9/a04370.html#adea422e1b5768ca5b02e5e38c8bc47b4">GENERAL_ITEMS</a>, null, <span class="stringliteral">&quot;Number of placeholders: &quot;</span> + <a class="code hl_variable" href="../../d1/d0b/a04890.html#abdafeb073af3e76c3762bd11b5d749b6">s_Expansion_AllPlaceholders</a>.Count());</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <span class="keywordflow">foreach</span> (<span class="keyword">auto</span> placeholder: <a class="code hl_variable" href="../../d1/d0b/a04890.html#abdafeb073af3e76c3762bd11b5d749b6">s_Expansion_AllPlaceholders</a>)</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            <span class="keywordflow">if</span> (placeholder.m_Expansion_StoredEntityGlobalID.IsZero())</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>                <a class="code hl_class" href="../../d7/dc9/a04370.html">EXTrace</a>.<a class="code hl_function" href="../../d7/dc9/a04370.html#a2bd46e35ded12b22921809a459391fe0">Print</a>(<a class="code hl_class" href="../../d7/dc9/a04370.html">EXTrace</a>.<a class="code hl_variable" href="../../d7/dc9/a04370.html#adea422e1b5768ca5b02e5e38c8bc47b4">GENERAL_ITEMS</a>, null, <span class="stringliteral">&quot;Skipping placeholder with zero ID &quot;</span> + placeholder.GetType() + <span class="stringliteral">&quot; &quot;</span> + placeholder.GetPosition());</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>                <span class="keywordflow">continue</span>;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>            }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span> </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            <span class="keywordflow">if</span> (placeholder.m_Expansion_StoredEntityGlobalID.IsEqual(<span class="keywordtype">id</span>))</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>                <a class="code hl_class" href="../../d7/dc9/a04370.html">EXTrace</a>.<a class="code hl_function" href="../../d7/dc9/a04370.html#a2bd46e35ded12b22921809a459391fe0">Print</a>(<a class="code hl_class" href="../../d7/dc9/a04370.html">EXTrace</a>.<a class="code hl_variable" href="../../d7/dc9/a04370.html#adea422e1b5768ca5b02e5e38c8bc47b4">GENERAL_ITEMS</a>, null, <span class="stringliteral">&quot;Found matching placeholder &quot;</span> + placeholder.GetType() + <span class="stringliteral">&quot; &quot;</span> + placeholder.GetPosition());</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>                <span class="keywordflow">return</span> placeholder;</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>            }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keywordflow">return</span> null;</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    }</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span> </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno"><a class="line" href="../../d1/d0b/a04890.html#a5dd95326d82887f99665752c8b39cbcb">   74</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d1/d0b/a04890.html#a5dd95326d82887f99665752c8b39cbcb">GetDisplayName</a>()</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    {</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d1/d0b/a04890.html#a00545b643710fd09ea1b2a71c8ac6ae0">m_Expansion_NetsyncData</a>)</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>            <span class="keywordflow">return</span> <a class="code hl_function" href="../../d1/d0b/a04890.html#add7351428968e1e576f85ee8c3b18c3e">Expansion_GetStoredEntityDisplayName</a>();</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <span class="keywordflow">return</span> super.GetDisplayName();</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    }</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span> </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno"><a class="line" href="../../d1/d0b/a04890.html#a47ea63956212be4b99232d023cd53274">   81</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d0b/a04890.html#a47ea63956212be4b99232d023cd53274">OnRPC</a>(PlayerIdentity sender, <span class="keywordtype">int</span> rpc_type, ParamsReadContext ctx)</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    {</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        super.OnRPC(sender, rpc_type, ctx);</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span> </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <a class="code hl_variable" href="../../d1/d0b/a04890.html#a00545b643710fd09ea1b2a71c8ac6ae0">m_Expansion_NetsyncData</a>.<a class="code hl_function" href="../../d0/d15/a04574.html#a9619a4af8fc8f1b4824235dfbb8a2ef7">OnRPC</a>(sender, rpc_type, ctx);</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    }</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span> </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno"><a class="line" href="../../d1/d0b/a04890.html#a7b9cda167589cb443592aea48b63eaa5">   88</a></span>    <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/d0b/a04890.html#a7b9cda167589cb443592aea48b63eaa5">Expansion_HasPlaceholder</a>(<a class="code hl_class" href="../../df/d0f/a05070.html">CarScript</a> vehicle, <span class="keywordtype">bool</span> includeGarage = <span class="keyword">false</span>)</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    {</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        <span class="keywordflow">if</span> (vehicle.<a class="code hl_variable" href="../../df/d0f/a05070.html#a617ebc4ead8b48590afb0f2a3757b220">m_Expansion_GlobalID</a>.<a class="code hl_function" href="../../d7/d74/a04346.html#a6f84962535ed8b1c856e68a97cfdb063">IsZero</a>())</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span> </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="keywordflow">foreach</span> (<span class="keyword">auto</span> placeholder: <a class="code hl_variable" href="../../d1/d0b/a04890.html#abdafeb073af3e76c3762bd11b5d749b6">s_Expansion_AllPlaceholders</a>)</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span><span class="preprocessor">#ifdef EXPANSIONMODGARAGE</span><span class="comment"></span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span><span class="comment">            //! Dealt with by garage module</span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span><span class="comment"></span>            <span class="keywordflow">if</span> (!includeGarage &amp;&amp; placeholder.IsInherited(ExpansionGarageVehicle))</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>                <span class="keywordflow">continue</span>;</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span> </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>            <span class="keywordflow">if</span> (vehicle.<a class="code hl_variable" href="../../df/d0f/a05070.html#a617ebc4ead8b48590afb0f2a3757b220">m_Expansion_GlobalID</a>.<a class="code hl_function" href="../../d7/d74/a04346.html#aef2cb60078aa028a26a0185595a8d577">IsEqual</a>(placeholder.m_Expansion_StoredEntityGlobalID.m_ID))</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>            {</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>                <span class="keywordtype">string</span> type;</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>                placeholder.m_Expansion_NetsyncData.Get(0, type);</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>                <a class="code hl_function" href="../../d3/d60/a00818.html#a360b77a21b7b48591e2d244da9c12d7e">EXPrint</a>(<span class="stringliteral">&quot;ExpansionEntityStoragePlaceholder::Expansion_HasPlaceholder &quot;</span> + vehicle.GetType() + <span class="stringliteral">&quot; &quot;</span> + vehicle.GetPosition() + <span class="stringliteral">&quot; has identical global ID to placeholder &quot;</span> + type + <span class="stringliteral">&quot; &quot;</span> + placeholder.GetPosition());</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>                <span class="keywordflow">if</span> (vehicle.GetType() == type)</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>                    <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>            }</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        }</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span> </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    }</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span> </div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno"><a class="line" href="../../d1/d0b/a04890.html#a02c4979f3bd1a40817deb14d3e557943">  114</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/d0b/a04890.html#a02c4979f3bd1a40817deb14d3e557943">Expansion_HasStoredEntity</a>()</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    {</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        <span class="keywordflow">if</span> (GetGame().IsClient())</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        {</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>            <span class="keywordtype">string</span> type;</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>            <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d1/d0b/a04890.html#a00545b643710fd09ea1b2a71c8ac6ae0">m_Expansion_NetsyncData</a>.<a class="code hl_function" href="../../d0/d15/a04574.html#ab986e69f4cceee5b8f77c4aa86b9d532">Get</a>(0, type);</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        }</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span> </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d1/d0b/a04890.html#a80a182ca885d8466b94716575850fe25">m_Expansion_StoredEntityGlobalID</a>.<a class="code hl_function" href="../../d7/d74/a04346.html#a6f84962535ed8b1c856e68a97cfdb063">IsZero</a>())</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span> </div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        <span class="keywordflow">return</span> FileExist(<a class="code hl_function" href="../../d1/d0b/a04890.html#a9a89ba80c18a0a7beff042445121fd60">Expansion_GetEntityStorageFileName</a>());</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    }</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span> </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno"><a class="line" href="../../d1/d0b/a04890.html#a2f45f4cded67c3cf6bac2b1f5ea0e926">  128</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/d0b/a04890.html#a2f45f4cded67c3cf6bac2b1f5ea0e926">CanDisplayAttachmentSlot</a>(<span class="keywordtype">int</span> slot_id)</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    {</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    }</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span> </div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno"><a class="line" href="../../d1/d0b/a04890.html#aa28c88e2bfd90dace9e35d8e053cf0a7">  133</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/d0b/a04890.html#aa28c88e2bfd90dace9e35d8e053cf0a7">CanDisplayCargo</a>()</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    {</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>    }</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span> </div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno"><a class="line" href="../../d1/d0b/a04890.html#a4f75b9538b376b4b93ba94b9eae3d004">  138</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/d0b/a04890.html#a4f75b9538b376b4b93ba94b9eae3d004">CanPutAsAttachment</a>(EntityAI parent)</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>    {</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    }</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span> </div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno"><a class="line" href="../../d1/d0b/a04890.html#ab458b31b52948291f0fc4b0547248109">  143</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/d0b/a04890.html#ab458b31b52948291f0fc4b0547248109">CanPutInCargo</a>(EntityAI parent)</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    {</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>    }</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span> </div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno"><a class="line" href="../../d1/d0b/a04890.html#ae1fd39fcab60ba867b7376e32f32d8e2">  148</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/d0b/a04890.html#ae1fd39fcab60ba867b7376e32f32d8e2">CanPutIntoHands</a>(EntityAI parent)</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>    {</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>    }</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span> </div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno"><a class="line" href="../../d1/d0b/a04890.html#a291c6c516fa31d21d54be5a861dabaa0">  153</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/d0b/a04890.html#a291c6c516fa31d21d54be5a861dabaa0">IsInventoryVisible</a>()</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>    {</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>    }</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span> </div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span><span class="preprocessor">#ifdef EXPANSION_MODSTORAGE</span></div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> CF_OnStoreSave(CF_ModStorageMap storage)</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>    {</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        super.CF_OnStoreSave(storage);</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span> </div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        <span class="keyword">auto</span> ctx = storage[DZ_Expansion_Core];</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        <span class="keywordflow">if</span> (!ctx) <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span> </div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        <span class="keywordtype">string</span> type;</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        <a class="code hl_variable" href="../../d1/d0b/a04890.html#a00545b643710fd09ea1b2a71c8ac6ae0">m_Expansion_NetsyncData</a>.<a class="code hl_function" href="../../d0/d15/a04574.html#ab986e69f4cceee5b8f77c4aa86b9d532">Get</a>(0, type);</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>        ctx.Write(type);</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span> </div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>        <a class="code hl_variable" href="../../d1/d0b/a04890.html#a80a182ca885d8466b94716575850fe25">m_Expansion_StoredEntityGlobalID</a>.OnStoreSave(ctx);</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>    }</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>    </div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> CF_OnStoreLoad(CF_ModStorageMap storage)</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>    {</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        <span class="keywordflow">if</span> (!super.CF_OnStoreLoad(storage))</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span> </div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>        <span class="keyword">auto</span> ctx = storage[DZ_Expansion_Core];</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>        <span class="keywordflow">if</span> (!ctx) <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span> </div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>        <span class="keywordtype">int</span> version = ctx.GetVersion();</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span> </div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>        <span class="keywordtype">int</span> storedEntityStorageID;</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>        <span class="keywordflow">if</span> (version &lt; 43)</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>        {</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>            <span class="keywordflow">if</span> (!ctx.Read(storedEntityStorageID))</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>        }</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span> </div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>        <span class="keywordtype">string</span> type;</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        <span class="keywordflow">if</span> (!ctx.Read(type))</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span> </div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>        <a class="code hl_variable" href="../../d1/d0b/a04890.html#a00545b643710fd09ea1b2a71c8ac6ae0">m_Expansion_NetsyncData</a>.<a class="code hl_function" href="../../d0/d15/a04574.html#a7cae23afaaaa7da401d15b1eed9ddcb4">Set</a>(0, type);</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span> </div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d1/d0b/a04890.html#a80a182ca885d8466b94716575850fe25">m_Expansion_StoredEntityGlobalID</a>.OnStoreLoad(ctx))</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span> </div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>        <span class="keywordflow">if</span> (version &lt; 43)</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>        {</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>            <span class="keywordtype">string</span> oldFileName = <a class="code hl_class" href="../../d6/dfd/a04570.html">ExpansionEntityStorageModule</a>.<a class="code hl_function" href="../../d6/dfd/a04570.html#ac380e56093e61e9a6960dd8979e27080">GetFileName</a>(storedEntityStorageID);</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>            <span class="keywordflow">if</span> (FileExist(oldFileName) &amp;&amp; CopyFile(oldFileName, <a class="code hl_function" href="../../d1/d0b/a04890.html#a9a89ba80c18a0a7beff042445121fd60">Expansion_GetEntityStorageFileName</a>()))</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>                DeleteFile(oldFileName);</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>        }</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span> </div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>    }</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span> </div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno"><a class="line" href="../../d1/d0b/a04890.html#add7351428968e1e576f85ee8c3b18c3e">  210</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../d1/d0b/a04890.html#add7351428968e1e576f85ee8c3b18c3e">Expansion_GetStoredEntityDisplayName</a>()</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>    {</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>        <span class="keywordtype">string</span> type;</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>        <a class="code hl_variable" href="../../d1/d0b/a04890.html#a00545b643710fd09ea1b2a71c8ac6ae0">m_Expansion_NetsyncData</a>.<a class="code hl_function" href="../../d0/d15/a04574.html#ab986e69f4cceee5b8f77c4aa86b9d532">Get</a>(0, type);</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d4/d8a/a04362.html">ExpansionStatic</a>.<a class="code hl_function" href="../../d4/d8a/a04362.html#aafd3d34ac394eb9251cf7ec9a4f3678f">GetItemDisplayNameWithType</a>(type);</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>    }</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span> </div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno"><a class="line" href="../../d1/d0b/a04890.html#a45d7ec4d9bc66de752eec36f7d1c09aa">  217</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d0b/a04890.html#a45d7ec4d9bc66de752eec36f7d1c09aa">Expansion_SetStoredEntityData</a>(<span class="keywordtype">string</span> type, TIntArray entityGlobalID)</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>    {</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>        <a class="code hl_variable" href="../../d1/d0b/a04890.html#a00545b643710fd09ea1b2a71c8ac6ae0">m_Expansion_NetsyncData</a>.<a class="code hl_function" href="../../d0/d15/a04574.html#a7cae23afaaaa7da401d15b1eed9ddcb4">Set</a>(0, type);</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; 4; i++)</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>            <a class="code hl_variable" href="../../d1/d0b/a04890.html#a80a182ca885d8466b94716575850fe25">m_Expansion_StoredEntityGlobalID</a>.<a class="code hl_variable" href="../../d7/d74/a04346.html#a401d2f95cf1e71f052a82eed6daa1fda">m_ID</a>[i] = entityGlobalID[i];</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>    }</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span> </div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno"><a class="line" href="../../d1/d0b/a04890.html#a314c04c9587c0ad2837fee36e67e5b02">  224</a></span>    <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/d0b/a04890.html#a314c04c9587c0ad2837fee36e67e5b02">Expansion_StoreEntityAndReplace</a>(EntityAI entity, <span class="keywordtype">string</span> placeholderType, vector <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>, <span class="keywordtype">int</span> iFlags = ECE_OBJECT_SWAP, out <a class="code hl_class" href="../../d1/d0b/a04890.html">ExpansionEntityStoragePlaceholder</a> placeholder = null, <span class="keywordtype">bool</span> storeCargo = <span class="keyword">false</span>)</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>    {</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>        <span class="keywordtype">string</span> type = entity.GetType();</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span> </div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>        <span class="keywordtype">float</span> lifetime = entity.GetLifetimeMax();</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span> </div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>        TIntArray entityGlobalID = <span class="keyword">new</span> TIntArray;</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>        <span class="keywordtype">int</span> i;</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span> </div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>        <a class="code hl_class" href="../../df/d0f/a05070.html">CarScript</a> vehicle;</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>        <span class="keywordflow">if</span> (Class.CastTo(vehicle, entity))</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>            <span class="keywordflow">for</span> (i = 0; i &lt; 4; i++)</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>                entityGlobalID.Insert(vehicle.<a class="code hl_variable" href="../../df/d0f/a05070.html#a617ebc4ead8b48590afb0f2a3757b220">m_Expansion_GlobalID</a>.<a class="code hl_variable" href="../../d7/d74/a04346.html#a401d2f95cf1e71f052a82eed6daa1fda">m_ID</a>[i]);</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span> </div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span><span class="preprocessor">#ifdef EXPANSIONMODVEHICLE</span></div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>        <a class="code hl_class" href="../../d6/dac/a07746.html">ExpansionVehicleBase</a> exVehicle;</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>        <span class="keywordflow">if</span> (Class.CastTo(exVehicle, entity))</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>            <span class="keywordflow">for</span> (i = 0; i &lt; 4; i++)</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>                entityGlobalID.Insert(exVehicle.m_Expansion_GlobalID.m_ID[i]);</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span> </div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>        EntityAI placeholderEntity;</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span>        <span class="keywordflow">if</span> (!<a class="code hl_class" href="../../d6/dfd/a04570.html">ExpansionEntityStorageModule</a>.<a class="code hl_function" href="../../d6/dfd/a04570.html#a4de4944dfdca5ffae231c582532b7016">SaveToFileAndReplace</a>(entity, <a class="code hl_class" href="../../d6/dfd/a04570.html">ExpansionEntityStorageModule</a>.<a class="code hl_function" href="../../d6/dfd/a04570.html#ac380e56093e61e9a6960dd8979e27080">GetFileName</a>(<a class="code hl_class" href="../../d4/d8a/a04362.html">ExpansionStatic</a>.<a class="code hl_function" href="../../d4/d8a/a04362.html#a4a3426ca1466a673af40a1092b6485fe">IntToHex</a>(entityGlobalID)), placeholderType, <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>, iFlags, placeholderEntity, storeCargo))</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span> </div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>        <span class="keywordflow">if</span> (Class.CastTo(placeholder, placeholderEntity))</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>            placeholder.Expansion_SetStoredEntityData(type, entityGlobalID);</div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>            <a class="code hl_function" href="../../d3/d60/a00818.html#a360b77a21b7b48591e2d244da9c12d7e">EXPrint</a>(<span class="stringliteral">&quot;Expansion_StoreEntityAndReplace - WARNING: Couldn&#39;t cast to ExpansionEntityStoragePlaceholder &quot;</span> + placeholderEntity);</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span> </div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>        <span class="keywordflow">if</span> (lifetime &gt; placeholderEntity.GetLifetimeMax())</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>            placeholderEntity.SetLifetimeMax(lifetime);</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span> </div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>    }</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>}</div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span> </div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span><span class="keyword">class </span>ExpansionDebugGoat: <a class="code hl_class" href="../../d1/d0b/a04890.html">ExpansionEntityStoragePlaceholder</a></div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span>{</div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d34/a01211.html#a2a16ada89cf011ca7a42c34ac7a5dc64">SetActions</a>()</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno"><a class="line" href="../../d1/d34/a01211.html#aba79ebd6f3417730fc163c64df248b81">  264</a></span>    {</div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span>        super.SetActions();</div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno"><a class="line" href="../../d1/d34/a01211.html#acf138b0cfccd89491a9dfce273810820">  266</a></span> </div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno"><a class="line" href="../../d1/d34/a01211.html#a55bea0af4b019b866a2ce5b322fabfce">  267</a></span>        AddAction(<a class="code hl_class" href="../../de/d04/a04774.html">ExpansionActionRestoreEntity</a>);</div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span>    }</div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno"><a class="line" href="../../d1/d34/a01211.html#a03dc33f0923d34ecc89d50c0df6753ac">  269</a></span>};</div>
<div class="ttc" id="aa00134_html_a68c83d319275347dcd1c0c4da8734703"><div class="ttname"><a href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a></div><div class="ttdeci">vector GetPosition()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d76/a00134_source.html#l00293">expansionterritory.c:293</a></div></div>
<div class="ttc" id="aa00734_html_abf2f1d0d1afc0eaf2994523ab122712c"><div class="ttname"><a href="../../d6/dc0/a00734.html#abf2f1d0d1afc0eaf2994523ab122712c">GetType</a></div><div class="ttdeci">ExpansionNotificationType GetType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dc0/a00734_source.html#l00046">notificationruntimedata.c:46</a></div></div>
<div class="ttc" id="aa00818_html_a360b77a21b7b48591e2d244da9c12d7e"><div class="ttname"><a href="../../d3/d60/a00818.html#a360b77a21b7b48591e2d244da9c12d7e">EXPrint</a></div><div class="ttdeci">static void EXPrint(string s, string prefix=&quot; [EXPANSION DEBUG]: &quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d60/a00818_source.html#l00027">expansionstatic.c:27</a></div></div>
<div class="ttc" id="aa01211_html_a2a16ada89cf011ca7a42c34ac7a5dc64"><div class="ttname"><a href="../../d1/d34/a01211.html#a2a16ada89cf011ca7a42c34ac7a5dc64">SetActions</a></div><div class="ttdeci">ExpansionEntityStoragePlaceholder InventoryItemSuper SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d34/a01211_source.html#l00001">expansionentitystorageplaceholder.c:263</a></div></div>
<div class="ttc" id="aa02441_html_a764a35c2d73b3fff21cd85b6baf13df4"><div class="ttname"><a href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a></div><div class="ttdeci">vector position</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd6/a02441_source.html#l00020">expansioninteriorbuildingmodule.c:20</a></div></div>
<div class="ttc" id="aa04346_html"><div class="ttname"><a href="../../d7/d74/a04346.html">ExpansionGlobalID</a></div><div class="ttdoc">Similar to persistent ID, but not necessarily tied to storage.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dad/a00806_source.html#l00014">expansionglobalid.c:15</a></div></div>
<div class="ttc" id="aa04346_html_a401d2f95cf1e71f052a82eed6daa1fda"><div class="ttname"><a href="../../d7/d74/a04346.html#a401d2f95cf1e71f052a82eed6daa1fda">ExpansionGlobalID::m_ID</a></div><div class="ttdeci">int m_ID[4]</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dad/a00806_source.html#l00019">expansionglobalid.c:19</a></div></div>
<div class="ttc" id="aa04346_html_a6f84962535ed8b1c856e68a97cfdb063"><div class="ttname"><a href="../../d7/d74/a04346.html#a6f84962535ed8b1c856e68a97cfdb063">ExpansionGlobalID::IsZero</a></div><div class="ttdeci">bool IsZero()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dad/a00806_source.html#l00066">expansionglobalid.c:66</a></div></div>
<div class="ttc" id="aa04346_html_aa8b9403c52f4fb018777a5abb432e4f9"><div class="ttname"><a href="../../d7/d74/a04346.html#aa8b9403c52f4fb018777a5abb432e4f9">ExpansionGlobalID::IDToHex</a></div><div class="ttdeci">string IDToHex()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dad/a00806_source.html#l00160">expansionglobalid.c:160</a></div></div>
<div class="ttc" id="aa04346_html_aef2cb60078aa028a26a0185595a8d577"><div class="ttname"><a href="../../d7/d74/a04346.html#aef2cb60078aa028a26a0185595a8d577">ExpansionGlobalID::IsEqual</a></div><div class="ttdeci">bool IsEqual(int id[4])</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dad/a00806_source.html#l00044">expansionglobalid.c:44</a></div></div>
<div class="ttc" id="aa04362_html"><div class="ttname"><a href="../../d4/d8a/a04362.html">ExpansionStatic</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d60/a00818_source.html#l00074">expansionstatic.c:75</a></div></div>
<div class="ttc" id="aa04362_html_a4a3426ca1466a673af40a1092b6485fe"><div class="ttname"><a href="../../d4/d8a/a04362.html#a4a3426ca1466a673af40a1092b6485fe">ExpansionStatic::IntToHex</a></div><div class="ttdeci">static string IntToHex(int n)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d60/a00818_source.html#l00399">expansionstatic.c:399</a></div></div>
<div class="ttc" id="aa04362_html_aafd3d34ac394eb9251cf7ec9a4f3678f"><div class="ttname"><a href="../../d4/d8a/a04362.html#aafd3d34ac394eb9251cf7ec9a4f3678f">ExpansionStatic::GetItemDisplayNameWithType</a></div><div class="ttdeci">static string GetItemDisplayNameWithType(string type_name, map&lt; string, string &gt; cache=NULL)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d60/a00818_source.html#l00165">expansionstatic.c:165</a></div></div>
<div class="ttc" id="aa04370_html"><div class="ttname"><a href="../../d7/dc9/a04370.html">EXTrace</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d1c/a00824_source.html#l00029">expansiontracing.c:30</a></div></div>
<div class="ttc" id="aa04370_html_a2bd46e35ded12b22921809a459391fe0"><div class="ttname"><a href="../../d7/dc9/a04370.html#a2bd46e35ded12b22921809a459391fe0">EXTrace::Print</a></div><div class="ttdeci">static void Print(bool yes=true, Class instance=null, string msg=&quot;&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d1c/a00824_source.html#l00278">expansiontracing.c:278</a></div></div>
<div class="ttc" id="aa04370_html_adea422e1b5768ca5b02e5e38c8bc47b4"><div class="ttname"><a href="../../d7/dc9/a04370.html#adea422e1b5768ca5b02e5e38c8bc47b4">EXTrace::GENERAL_ITEMS</a></div><div class="ttdeci">static bool GENERAL_ITEMS</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d1c/a00824_source.html#l00062">expansiontracing.c:62</a></div></div>
<div class="ttc" id="aa04570_html"><div class="ttname"><a href="../../d6/dfd/a04570.html">ExpansionEntityStorageModule</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d6c/a00977_source.html#l00014">expansionentitystorage.c:15</a></div></div>
<div class="ttc" id="aa04570_html_a4de4944dfdca5ffae231c582532b7016"><div class="ttname"><a href="../../d6/dfd/a04570.html#a4de4944dfdca5ffae231c582532b7016">ExpansionEntityStorageModule::SaveToFileAndReplace</a></div><div class="ttdeci">static bool SaveToFileAndReplace(EntityAI entity, string fileName, string placeholderType, vector position, int iFlags=ECE_OBJECT_SWAP, out EntityAI placeholder=null, bool storeCargo=false)</div><div class="ttdoc">saves entity and all its children (attachments/cargo) and replaces original entity with placeholder....</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d6c/a00977_source.html#l00527">expansionentitystorage.c:527</a></div></div>
<div class="ttc" id="aa04570_html_ac380e56093e61e9a6960dd8979e27080"><div class="ttname"><a href="../../d6/dfd/a04570.html#ac380e56093e61e9a6960dd8979e27080">ExpansionEntityStorageModule::GetFileName</a></div><div class="ttdeci">static string GetFileName(int id)</div><div class="ttdoc">Legacy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d6c/a00977_source.html#l00472">expansionentitystorage.c:472</a></div></div>
<div class="ttc" id="aa04574_html"><div class="ttname"><a href="../../d0/d15/a04574.html">ExpansionNetsyncData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d20/a00980_source.html#l00013">expansionnetsyncdata.c:14</a></div></div>
<div class="ttc" id="aa04574_html_a7cae23afaaaa7da401d15b1eed9ddcb4"><div class="ttname"><a href="../../d0/d15/a04574.html#a7cae23afaaaa7da401d15b1eed9ddcb4">ExpansionNetsyncData::Set</a></div><div class="ttdeci">void Set(int index, string value)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d20/a00980_source.html#l00026">expansionnetsyncdata.c:26</a></div></div>
<div class="ttc" id="aa04574_html_a9619a4af8fc8f1b4824235dfbb8a2ef7"><div class="ttname"><a href="../../d0/d15/a04574.html#a9619a4af8fc8f1b4824235dfbb8a2ef7">ExpansionNetsyncData::OnRPC</a></div><div class="ttdeci">void OnRPC(PlayerIdentity sender, int rpc_type, ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d20/a00980_source.html#l00094">expansionnetsyncdata.c:94</a></div></div>
<div class="ttc" id="aa04574_html_ab986e69f4cceee5b8f77c4aa86b9d532"><div class="ttname"><a href="../../d0/d15/a04574.html#ab986e69f4cceee5b8f77c4aa86b9d532">ExpansionNetsyncData::Get</a></div><div class="ttdeci">bool Get(int index, out string output)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d20/a00980_source.html#l00037">expansionnetsyncdata.c:37</a></div></div>
<div class="ttc" id="aa04774_html"><div class="ttname"><a href="../../de/d04/a04774.html">ExpansionActionRestoreEntity</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/de4/a01121_source.html#l00021">expansionactionrestoreentity.c:22</a></div></div>
<div class="ttc" id="aa04890_html"><div class="ttname"><a href="../../d1/d0b/a04890.html">ExpansionEntityStoragePlaceholder</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d34/a01211_source.html#l00013">expansionentitystorageplaceholder.c:14</a></div></div>
<div class="ttc" id="aa04890_html_a00545b643710fd09ea1b2a71c8ac6ae0"><div class="ttname"><a href="../../d1/d0b/a04890.html#a00545b643710fd09ea1b2a71c8ac6ae0">ExpansionEntityStoragePlaceholder::m_Expansion_NetsyncData</a></div><div class="ttdeci">ref ExpansionNetsyncData m_Expansion_NetsyncData</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d34/a01211_source.html#l00018">expansionentitystorageplaceholder.c:18</a></div></div>
<div class="ttc" id="aa04890_html_a02c4979f3bd1a40817deb14d3e557943"><div class="ttname"><a href="../../d1/d0b/a04890.html#a02c4979f3bd1a40817deb14d3e557943">ExpansionEntityStoragePlaceholder::Expansion_HasStoredEntity</a></div><div class="ttdeci">bool Expansion_HasStoredEntity()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d34/a01211_source.html#l00114">expansionentitystorageplaceholder.c:114</a></div></div>
<div class="ttc" id="aa04890_html_a291c6c516fa31d21d54be5a861dabaa0"><div class="ttname"><a href="../../d1/d0b/a04890.html#a291c6c516fa31d21d54be5a861dabaa0">ExpansionEntityStoragePlaceholder::IsInventoryVisible</a></div><div class="ttdeci">override bool IsInventoryVisible()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d34/a01211_source.html#l00153">expansionentitystorageplaceholder.c:153</a></div></div>
<div class="ttc" id="aa04890_html_a2f45f4cded67c3cf6bac2b1f5ea0e926"><div class="ttname"><a href="../../d1/d0b/a04890.html#a2f45f4cded67c3cf6bac2b1f5ea0e926">ExpansionEntityStoragePlaceholder::CanDisplayAttachmentSlot</a></div><div class="ttdeci">override bool CanDisplayAttachmentSlot(int slot_id)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d34/a01211_source.html#l00128">expansionentitystorageplaceholder.c:128</a></div></div>
<div class="ttc" id="aa04890_html_a314c04c9587c0ad2837fee36e67e5b02"><div class="ttname"><a href="../../d1/d0b/a04890.html#a314c04c9587c0ad2837fee36e67e5b02">ExpansionEntityStoragePlaceholder::Expansion_StoreEntityAndReplace</a></div><div class="ttdeci">static bool Expansion_StoreEntityAndReplace(EntityAI entity, string placeholderType, vector position, int iFlags=ECE_OBJECT_SWAP, out ExpansionEntityStoragePlaceholder placeholder=null, bool storeCargo=false)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d34/a01211_source.html#l00224">expansionentitystorageplaceholder.c:224</a></div></div>
<div class="ttc" id="aa04890_html_a45d7ec4d9bc66de752eec36f7d1c09aa"><div class="ttname"><a href="../../d1/d0b/a04890.html#a45d7ec4d9bc66de752eec36f7d1c09aa">ExpansionEntityStoragePlaceholder::Expansion_SetStoredEntityData</a></div><div class="ttdeci">void Expansion_SetStoredEntityData(string type, TIntArray entityGlobalID)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d34/a01211_source.html#l00217">expansionentitystorageplaceholder.c:217</a></div></div>
<div class="ttc" id="aa04890_html_a47ea63956212be4b99232d023cd53274"><div class="ttname"><a href="../../d1/d0b/a04890.html#a47ea63956212be4b99232d023cd53274">ExpansionEntityStoragePlaceholder::OnRPC</a></div><div class="ttdeci">override void OnRPC(PlayerIdentity sender, int rpc_type, ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d34/a01211_source.html#l00081">expansionentitystorageplaceholder.c:81</a></div></div>
<div class="ttc" id="aa04890_html_a4c0692a361764686ea67a7f72ea800c1"><div class="ttname"><a href="../../d1/d0b/a04890.html#a4c0692a361764686ea67a7f72ea800c1">ExpansionEntityStoragePlaceholder::~ExpansionEntityStoragePlaceholder</a></div><div class="ttdeci">void ~ExpansionEntityStoragePlaceholder()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d34/a01211_source.html#l00026">expansionentitystorageplaceholder.c:26</a></div></div>
<div class="ttc" id="aa04890_html_a4f75b9538b376b4b93ba94b9eae3d004"><div class="ttname"><a href="../../d1/d0b/a04890.html#a4f75b9538b376b4b93ba94b9eae3d004">ExpansionEntityStoragePlaceholder::CanPutAsAttachment</a></div><div class="ttdeci">override bool CanPutAsAttachment(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d34/a01211_source.html#l00138">expansionentitystorageplaceholder.c:138</a></div></div>
<div class="ttc" id="aa04890_html_a5dd95326d82887f99665752c8b39cbcb"><div class="ttname"><a href="../../d1/d0b/a04890.html#a5dd95326d82887f99665752c8b39cbcb">ExpansionEntityStoragePlaceholder::GetDisplayName</a></div><div class="ttdeci">override string GetDisplayName()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d34/a01211_source.html#l00074">expansionentitystorageplaceholder.c:74</a></div></div>
<div class="ttc" id="aa04890_html_a7b9cda167589cb443592aea48b63eaa5"><div class="ttname"><a href="../../d1/d0b/a04890.html#a7b9cda167589cb443592aea48b63eaa5">ExpansionEntityStoragePlaceholder::Expansion_HasPlaceholder</a></div><div class="ttdeci">static bool Expansion_HasPlaceholder(CarScript vehicle, bool includeGarage=false)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d34/a01211_source.html#l00088">expansionentitystorageplaceholder.c:88</a></div></div>
<div class="ttc" id="aa04890_html_a7f3b6672b27527eb34bd4e7a9489ba48"><div class="ttname"><a href="../../d1/d0b/a04890.html#a7f3b6672b27527eb34bd4e7a9489ba48">ExpansionEntityStoragePlaceholder::GetByStoredEntityGlobalID</a></div><div class="ttdeci">static ExpansionEntityStoragePlaceholder GetByStoredEntityGlobalID(TIntArray id)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d34/a01211_source.html#l00051">expansionentitystorageplaceholder.c:51</a></div></div>
<div class="ttc" id="aa04890_html_a80a182ca885d8466b94716575850fe25"><div class="ttname"><a href="../../d1/d0b/a04890.html#a80a182ca885d8466b94716575850fe25">ExpansionEntityStoragePlaceholder::m_Expansion_StoredEntityGlobalID</a></div><div class="ttdeci">ref ExpansionGlobalID m_Expansion_StoredEntityGlobalID</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d34/a01211_source.html#l00017">expansionentitystorageplaceholder.c:17</a></div></div>
<div class="ttc" id="aa04890_html_a9a89ba80c18a0a7beff042445121fd60"><div class="ttname"><a href="../../d1/d0b/a04890.html#a9a89ba80c18a0a7beff042445121fd60">ExpansionEntityStoragePlaceholder::Expansion_GetEntityStorageFileName</a></div><div class="ttdeci">string Expansion_GetEntityStorageFileName()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d34/a01211_source.html#l00046">expansionentitystorageplaceholder.c:46</a></div></div>
<div class="ttc" id="aa04890_html_aa28c88e2bfd90dace9e35d8e053cf0a7"><div class="ttname"><a href="../../d1/d0b/a04890.html#aa28c88e2bfd90dace9e35d8e053cf0a7">ExpansionEntityStoragePlaceholder::CanDisplayCargo</a></div><div class="ttdeci">override bool CanDisplayCargo()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d34/a01211_source.html#l00133">expansionentitystorageplaceholder.c:133</a></div></div>
<div class="ttc" id="aa04890_html_aa8af6a32ebf7cbe3cc91bbf5e630f6b3"><div class="ttname"><a href="../../d1/d0b/a04890.html#aa8af6a32ebf7cbe3cc91bbf5e630f6b3">ExpansionEntityStoragePlaceholder::EEDelete</a></div><div class="ttdeci">override void EEDelete(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d34/a01211_source.html#l00031">expansionentitystorageplaceholder.c:31</a></div></div>
<div class="ttc" id="aa04890_html_ab458b31b52948291f0fc4b0547248109"><div class="ttname"><a href="../../d1/d0b/a04890.html#ab458b31b52948291f0fc4b0547248109">ExpansionEntityStoragePlaceholder::CanPutInCargo</a></div><div class="ttdeci">override bool CanPutInCargo(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d34/a01211_source.html#l00143">expansionentitystorageplaceholder.c:143</a></div></div>
<div class="ttc" id="aa04890_html_abdafeb073af3e76c3762bd11b5d749b6"><div class="ttname"><a href="../../d1/d0b/a04890.html#abdafeb073af3e76c3762bd11b5d749b6">ExpansionEntityStoragePlaceholder::s_Expansion_AllPlaceholders</a></div><div class="ttdeci">static ref array&lt; ExpansionEntityStoragePlaceholder &gt; s_Expansion_AllPlaceholders</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d34/a01211_source.html#l00015">expansionentitystorageplaceholder.c:15</a></div></div>
<div class="ttc" id="aa04890_html_add7351428968e1e576f85ee8c3b18c3e"><div class="ttname"><a href="../../d1/d0b/a04890.html#add7351428968e1e576f85ee8c3b18c3e">ExpansionEntityStoragePlaceholder::Expansion_GetStoredEntityDisplayName</a></div><div class="ttdeci">string Expansion_GetStoredEntityDisplayName()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d34/a01211_source.html#l00210">expansionentitystorageplaceholder.c:210</a></div></div>
<div class="ttc" id="aa04890_html_ae1fd39fcab60ba867b7376e32f32d8e2"><div class="ttname"><a href="../../d1/d0b/a04890.html#ae1fd39fcab60ba867b7376e32f32d8e2">ExpansionEntityStoragePlaceholder::CanPutIntoHands</a></div><div class="ttdeci">override bool CanPutIntoHands(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d34/a01211_source.html#l00148">expansionentitystorageplaceholder.c:148</a></div></div>
<div class="ttc" id="aa04890_html_af4c6ff8b825eada9d6fefe532dc13805"><div class="ttname"><a href="../../d1/d0b/a04890.html#af4c6ff8b825eada9d6fefe532dc13805">ExpansionEntityStoragePlaceholder::ExpansionEntityStoragePlaceholder</a></div><div class="ttdeci">void ExpansionEntityStoragePlaceholder()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d34/a01211_source.html#l00020">expansionentitystorageplaceholder.c:20</a></div></div>
<div class="ttc" id="aa05070_html"><div class="ttname"><a href="../../df/d0f/a05070.html">CarScript</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dc3/a09307_source.html#l00016">carscript.c:17</a></div></div>
<div class="ttc" id="aa05070_html_a617ebc4ead8b48590afb0f2a3757b220"><div class="ttname"><a href="../../df/d0f/a05070.html#a617ebc4ead8b48590afb0f2a3757b220">CarScript::m_Expansion_GlobalID</a></div><div class="ttdeci">ref ExpansionGlobalID m_Expansion_GlobalID</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dc3/a09307_source.html#l00037">carscript.c:37</a></div></div>
<div class="ttc" id="aa07746_html"><div class="ttname"><a href="../../d6/dac/a07746.html">ExpansionVehicleBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/db1/a03098_source.html#l00017">expansionvehiclebikebase.c:18</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_2f8e807662ba55784a08a7a744bca2da.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_941d75c2f3e001cbf2e710cd4f7d66b3.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_e2c1a5451a44a8d1eb29e97861f13030.html">entities</a></li><li class="navelem"><a class="el" href="../../d1/d34/a01211.html">expansionentitystorageplaceholder.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
